|  | Home · All Classes · Modules

# QPyDesignerCustomWidgetCollectionPlugin Class Reference
[QtDesigner module]

Inherits QObject and QDesignerCustomWidgetCollectionInterface.

### Methods

- __init__ (self, QObject parent = None)

## Detailed Description

The QPyDesignerCustomWidgetCollectionPlugin class is provided to work around the fact that it is not possible for a Python class to derive from multiple Qt classes.

In order to write a plugin that contains several custom widgets you should implement a Python class derived from QPyDesignerCustomWidgetCollectionPlugin rather than one derived from QObject and QDesignerCustomWidgetCollectionInterface.

## Method Documentation

### QPyDesignerCustomWidgetCollectionPlugin.__init__ (self, QObject parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.